Skip to content

A city's map as an image​

GET
/cities/{slug}/snapshot

The map around one city (about 60 miles each way) with its dots: a redirect to a signed Apple Maps Web Snapshot when a MapKit key is configured, else the static SVG. 404 unless the city has a page.

Parameters​

Path Parameters

slug*
Type
string
Required

Query Parameters

w
Type
integer
Minimum
64
Maximum
2048
Default
640
h
Type
integer
Minimum
64
Maximum
2048
Default
360
scheme
Type
string
Valid values
"light""dark"
Default
"light"

Responses​

The static map

image/svg+xml
JSON
"string"

Playground​

Server
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Built with VitePress